commit:     11908b6a7e09b62531a008a240e257b8956710b7
Author:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
AuthorDate: Thu Jul 17 15:07:16 2025 +0000
Commit:     Miroslav Šulc <fordfrog <AT> gentoo <DOT> org>
CommitDate: Thu Jul 17 15:07:16 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11908b6a

media-plugins/calf: bump to 0.90.8

Signed-off-by: Miroslav Šulc <fordfrog <AT> gentoo.org>

 media-plugins/calf/Manifest           |  1 +
 media-plugins/calf/calf-0.90.8.ebuild | 73 +++++++++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/media-plugins/calf/Manifest b/media-plugins/calf/Manifest
index ed2409d3929f..dbab0a31360f 100644
--- a/media-plugins/calf/Manifest
+++ b/media-plugins/calf/Manifest
@@ -1 +1,2 @@
 DIST calf-0.90.7.tar.gz 16119531 BLAKE2B 
a9262be48c955901617aac1d1abafbe523eab5cdea6671aa87d6372eba70fedfe2e636e5f66b83cc1d9107de56ec34ed4feb1e4fbf1e1e880e005ed473b84c1d
 SHA512 
a407566717ee31fd26e17ff1e6cd412ecf7a0abef58314c632ef08cc1d80f26e9243b363de82958eb3cc5754dc79af3a682782be0c2654f821bbbcaef9c58f3d
+DIST calf-0.90.8.tar.gz 16119457 BLAKE2B 
6f154e581c69f6597d3806a779b43b0100ad53264ef50f4056efd1908892348da723eb850c78e5cfdc5eed6348799ad2340b1a5f4b77c65d3650b3d12fd54e83
 SHA512 
a90e4780ee9006b450525d90142f325e7d93594c875984bd2590964e9a45a68daeaa35bcc68c7c0806ba39fc28ef79250744c3406647906447ce43b238cbd432

diff --git a/media-plugins/calf/calf-0.90.8.ebuild 
b/media-plugins/calf/calf-0.90.8.ebuild
new file mode 100644
index 000000000000..2ed2a2f93c5c
--- /dev/null
+++ b/media-plugins/calf/calf-0.90.8.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake flag-o-matic toolchain-funcs xdg
+
+DESCRIPTION="Set of open source instruments and effects for digital audio 
workstations"
+HOMEPAGE="https://calf-studio-gear.org/";
+
+if [[ ${PV} == *9999* ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/calf-studio-gear/calf.git";
+else
+       SRC_URI="https://github.com/calf-studio-gear/calf/archive/${PV}.tar.gz 
-> ${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="cpu_flags_x86_sse experimental gui jack lash lv2"
+
+REQUIRED_USE="jack? ( gui )"
+
+BDEPEND="
+       virtual/pkgconfig
+"
+DEPEND="
+       >=app-accessibility/at-spi2-core-2.46.0
+       dev-libs/expat
+       dev-libs/glib:2
+       media-sound/fluidsynth:=
+       gui? (
+               x11-libs/cairo
+               x11-libs/gdk-pixbuf
+               x11-libs/gtk+:2
+               x11-libs/pango
+       )
+       jack? ( virtual/jack )
+       lash? ( media-sound/lash )
+       lv2? ( media-libs/lv2 )
+"
+RDEPEND="${DEPEND}"
+
+PATCHES=(
+       # pending upstream PRs:
+       "${FILESDIR}/${PN}-0.90.7-no-remove-ttl.patch"
+)
+
+src_configure() {
+       # Upstream append -ffast-math by default, however since libtool links 
C++
+       # shared libs with -nostdlib, this causes symbol resolution error for
+       # __powidn2 when using compiler-rt. Disable fast math on compiler-rt 
until
+       # a better fix is found.
+       [[ $(tc-get-c-rtlib) = "compiler-rt" ]] && append-cxxflags 
"-fno-fast-math"
+
+       local mycmakeargs=(
+               -DWANT_GUI=$(usex gui)
+               -DWANT_JACK=$(usex jack)
+               -DWANT_LASH=$(usex lash)
+               -DWANT_LV2=$(usex lv2)
+               -DWANT_LV2_GUI=$(usex lv2)
+               -DWANT_SORDI=ON
+               -DWANT_EXPERIMENTAL=$(usex experimental)
+       )
+       cmake_src_configure
+}
+
+src_install() {
+       cmake_src_install
+       mv "${ED}"/usr/share/bash-completion/completions/calf \
+               "${ED}"/usr/share/bash-completion/completions/calfjackhost || 
die "Failed to install bash completion"
+}

Reply via email to